routes/web.php
<?php

use Illuminate\Support\Facades\Route;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\HomeController::class, 'index']);
Route::any('json/data',[App\Http\Controllers\SiswaController::class, 'getListKota'])->name('json.data');

Route::group(['prefix' => 'siswa', 'as' => 'siswa.'], function () {
    Route::get('/',[App\Http\Controllers\SiswaController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\SiswaController::class, 'getSiswa'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\SiswaController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\SiswaController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\SiswaController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\SiswaController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\SiswaController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\SiswaController::class, 'destroy'])->name('hapus');
});

Route::group(['prefix' => 'kecamatan', 'as' => 'kecamatan.'], function () {
    Route::get('/',[App\Http\Controllers\KecamatanController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\KecamatanController::class, 'getKecamatan'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\KecamatanController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\KecamatanController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\KecamatanController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\KecamatanController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\KecamatanController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\KecamatanController::class, 'destroy'])->name('hapus');
});

Route::group(['prefix' => 'kotaKab', 'as' => 'kotaKab.'], function () {
    Route::get('/',[App\Http\Controllers\KotaKabController::class, 'index']);
    Route::get('/json',[App\Http\Controllers\KotaKabController::class, 'getKotaKab'])->name('json');
    Route::get('/tambah',[App\Http\Controllers\KotaKabController::class, 'create'])->name('tambah');
    Route::post('/simpan',[App\Http\Controllers\KotaKabController::class, 'store'])->name('simpan');
    Route::get('/edit/{id}',[App\Http\Controllers\KotaKabController::class, 'edit'])->name('edit');
    Route::get('/detail/{id}',[App\Http\Controllers\KotaKabController::class, 'show'])->name('detail');
    Route::get('/update/{id}',[App\Http\Controllers\KotaKabController::class, 'update'])->name('update');
    Route::get('/hapus/{id}',[App\Http\Controllers\KotaKabController::class, 'destroy'])->name('hapus');
});

app/Models/siswa.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class siswa extends Model
{
    use HasFactory;
    protected $table = 'siswa';
    
    protected $primaryKey = 'id_siswa';

    protected $fillable = [
        'id_siswa',
        'id_kecamatan',
        'nama',
        'id_kotaKab',
        'alamat',
    ];

    public $incrementing = true;

    public function kotaKab()
    {
        return $this->belongsTo('App\Models\kotaKab', 'id_kotaKab');
    }

    public function kecamatan()
    {
        return $this->belongsTo('App\Models\kecamatan', 'id_kecamatan');
    }
}

app/Http/Controllers/SiswaController.php
<?php

namespace App\Http\Controllers;

use App\Models\siswa;
use App\Models\kecamatan;
use App\Models\kotaKab;
use App\Http\Requests\StoresiswaRequest;
use App\Http\Requests\UpdatesiswaRequest;
use Illuminate\Support\Facades\Route;
use Carbon\Carbon;
use DataTables;
use Validator;
use Illuminate\Http\Request;

class SiswaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['siswa'] = siswa::All();
        $data['url'] = Route::currentRouteName();
        return view('siswa/index',$data);
    }

    public function getSiswa(){
        $data = siswa::get();
        return DataTables::of($data)
        ->addColumn('kota',function($data){
            $kota = kotaKab::find($data->id_kotaKab);
            return $kota->nama;
        })
        ->addColumn('kecamatan',function($data){
            $kecamatan = kecamatan::find($data->id_kecamatan);
            return $kecamatan->nama;
        })
        ->addColumn('action', function($data){
            $actionBtn = '<div class="d-flex justify-content-center "><a href="/siswa/detail/'.$data->id_siswa.'" class="edit btn btn-success btn-sm align-items-center col-4 h-50"><i class="bi-eye" style="font-size: 10px"></i>Detail</a><a href="/siswa/edit/'.$data->id_siswa.'" class="edit btn btn-primary mx-2 h-50 btn-sm align-items-center col-4"><i class="bi-pencil-square" style="font-size: 10px"></i>Edit</a><a onclick="return confirm(`Apakah anda yakin ?`)" href="/siswa/hapus/'.$data->id_siswa.'" class="edit btn btn-danger h-50 btn-sm align-items-center col-4"><i class="bi-trash" style="font-size: 10px"></i>Delete</a></div>';
            return $actionBtn;
            })
        ->toJson();
    }

    public function getListKota(Request $request){
        $kecamatan = kecamatan::where('id_kotaKab','=',$request->id)->get();
        return response()->json([
            'status'    => true,
            'message'   => 'Data Successfully Loaded.',
            'data'      => $kecamatan
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $date= Carbon::now();
        $data['date']=$date->format('d/m/Y');
        $data['url'] = Route::currentRouteName();
        $data['kotaKab'] = kotaKab::All();
        return view('siswa/tambah',$data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\StoresiswaRequest  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validate = Validator::make($request->all(), [
            'name' => 'required',
            'id_kotaKab'=>'required',
            'id_kecamatan'=>'required',
            'alamat'=>'required',
        ]);

        if($validate->fails()){
            return redirect()->route('siswa.')->with('after_save',  [
                'alert'     => 'danger',
                'icon'      => 'attention',
                'title'     => 'Error !',
                'text-1'    => '',
                'text-2'    => 'Gagal Menambahkan Data'
            ]
            );
        }

        $after_save = [
            'alert'     => 'success',
            'icon'      => 'check',
            'title'     => 'Success ! ',
            'text-1'    => '',
            'text-2'    => 'Data Baru Berhasil Ditambahkan'
        ];
        
        $data = new siswa();
        $data->id_siswa;
        $data->nama= $request->name;
        $data->id_kotaKab = $request->id_kotaKab;
        $data->id_kecamatan = $request->id_kecamatan;
        $data->alamat = $request->alamat;
        $data->save();
        return redirect()->route('siswa.')->with('after_save', $after_save);
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\siswa  $siswa
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $data['siswa']=siswa::find($id);
        $data['url'] = Route::currentRouteName();
        $date= Carbon::now();
        $data['date']=$date->format('d/m/Y');
        return view('siswa.detail',$data);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\siswa  $siswa
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data['siswa']=siswa::find($id);
        $data['url'] = Route::currentRouteName();
        $date= Carbon::now();
        $data['date']=$date->format('d/m/Y');
        $data['kotaKab'] = kotaKab::All();
        return view('siswa.edit',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdatesiswaRequest  $request
     * @param  \App\Models\siswa  $siswa
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request,$id)
    {
        $validate = Validator::make($request->all(), [
            'name' => 'required',
            'id_kotaKab'=>'required',
            'id_kecamatan'=>'required',
            'alamat'=>'required',
        ]);

        if($validate->fails()){
            return redirect()->route('siswa.')->with('after_save',  [
                'alert'     => 'danger',
                'icon'      => 'attention',
                'title'     => 'Error !',
                'text-1'    => '',
                'text-2'    => 'Gagal Menambahkan Data'
            ]
            );
        }

        $after_save = [
            'alert'     => 'success',
            'icon'      => 'check',
            'title'     => 'Success ! ',
            'text-1'    => '',
            'text-2'    => 'Data Baru Berhasil Ditambahkan'
        ];
        
        $data = siswa::find($id);
        $data->nama= $request->name;
        $data->id_kotaKab = $request->id_kotaKab;
        $data->id_kecamatan = $request->id_kecamatan;
        $data->alamat = $request->alamat;
        $data->save();
        return redirect()->route('siswa.')->with('after_save', $after_save);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\siswa  $siswa
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $data = siswa::find($id);
        $data->delete();
        return redirect()->route('siswa.')->with('after_save', [
        'alert'     => 'success',
        'icon'      => 'check',
        'title'     => 'Success ! ',
        'text-1'    => '',
        'text-2'    => 'Data Berhasil Dihapus'
    ]);
    }
}

resources/views/siswa/detail.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Detail Kecamatan</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form>
                        @csrf
                        <div class="row">
                            <div>
                                <div class="w-100">
                                    <div class="form-group col-12 my-2">
                                        <label for="id">id Siswa</label>
                                        <div class="input-group">
                                            <input type="text" name="id" id="name" class="form-control" placeholder=""
                                                value="{{$siswa->id_siswa}}" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Nama Siswa</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Nama Siswa" value="{{$siswa->nama}}" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Nama Kecamatan</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Nama Kecamatan"
                                                value="{{$siswa->kecamatan->nama}}" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Nama Kota/Kabupaten</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Nama Kota/Kabupaten"
                                                value="{{$siswa->kotaKab->nama}}" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group col-12 my-2">
                                        <label for="name">Alamat</label>
                                        <div class="input-group">
                                            <input type="text" name="name" id="name" class="form-control"
                                                placeholder="Masukkan Alamat" value="{{$siswa->alamat}}" readonly>
                                        </div>
                                    </div>
                                    <div class="d-flex col-12 align-items-center">
                                        <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                            <a href="/siswa" class="btn btn-danger mx-2">Kembali</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>
@endpush

resources/views/siswa/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Tambah Data</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form action="/siswa/update/{{$siswa->id_siswa}}" method="PUT">
                        @csrf
                        <div class="row">
                            <div class="form-group col-12 my-2">
                                <label for="name">Nama Siswa</label>
                                <div class="input-group">
                                    <input type="text" name="name" id="name" class="form-control"
                                        value="{{$siswa->nama}}" placeholder="Masukkan Nama Siswa" required>
                                </div>
                            </div>
                            <div class="form-group col-12 my-2">
                                <label for="id_kecamatan">Nama Kota/Kabupaten</label>
                                <select class="form-control text-dark" id="id_kecamatan" name="id_kecamatan">
                                    <option value="">Pilih Kota</option>
                                    @foreach ($kotaKab as $p)
                                    <option value="{{$p->id_kotaKab}}">{{$p->nama}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group col-12 my-2">
                                <label for="id_kota">Nama Kecamatan</label>
                                <select class="form-control text-dark" id="id_kota" name="id_kotaKab">
                                    {{-- @foreach ($kotaKab as $p)
                                    <option value="{{$p->id_kotaKab}}">{{$p->nama}}</option>
                                    @endforeach --}}
                                </select>
                            </div>
                            <div class="form-group col-12 my-2">
                                <label for="alamat">Alamat</label>
                                <div class="input-group">
                                    <textarea type="text" name="alamat" id="alamat" class="form-control"
                                        value="{{$siswa->alamat}}" placeholder="Masukkan Alamat" required></textarea>
                                </div>
                            </div>
                            <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                <a href="/siswa" class="btn btn-danger mx-2">Batal</a>
                                <button type="submit" class="btn btn-success mx-0" value="submit">Simpan</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

<script>
    $(document).ready(function() {
        $(document).on('change', '#id_kecamatan', function() {
        var id_kota = $(this).val();
        var div = $(this).parent();
        var op = " ";
        $.ajax({
            type: 'get',
            url: '{{route("json.data")}}',
            data: {'id':id_kota},
            success: function(json){
                console.log(json);
                        for (var i = 0; i < json.data.length; i++){
                    op += '<option class="option" value="'+json.data[i].id_kotaKab+'">'+json.data[i].nama+'</option>';
                }
                $("#id_kota").empty();
                $("#id_kota").append(op);
            },
            error: function(){
                console.log('success');
            },
        });
    }); 
});
</script>
@endpush

resources/views/siswa/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Daftar Siswa</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5"
                    href="{{route('siswa.tambah') }}"><i class="bi-plus p-0" style="font-size: 15px"></i><span>Tambah
                        Data</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    <table class="table my-3 mx-0 w-100" id="tabel-siswa">
                        <thead class="text-white thead text-center">
                            <tr>
                                <th id="headTable">Id Siswa</th>
                                <th id="headTable">Nama Siswa</th>
                                <th id="headTable">Kota/Kabupaten</th>
                                <th id="headTable">Kecamatan</th>
                                <th id="headTable">Alamat</th>
                                <th id="headTable">Aksi</th>
                            </tr>
                        </thead>
                        <tbody class="text-dark text-center">
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('scripts')

<script type="text/javascript">
    $(document).ready(function(){
        renderDataTable();
    });
    function renderDataTable(){
        $('#tabel-siswa').DataTable({
            pagingType: "full_numbers",
            lengthMenu: [[ 5, 15, 25, 100, -1 ], [ 5, 15, 25, 100, "All" ]],
            processing:true,
            serverSide:true,
            ajax:'{{ route("siswa.json") }}',
            columns:[
                    {
                        data:'id_siswa',
                        name:'id_siswa'
                    },
                    {
                        data:'nama',
                        name:'nama'
                    },
                    {
                        data:'kota',
                        name:'kota'
                    },
                    {
                        data:'kecamatan',
                        name:'kecamatan'
                    },
                    {
                        data:'alamat',
                        name:'alamat'
                    },
                    {
                        data:'action',
                        name:'action'
                    },
            ]
        })
    };
</script>

@endpush

resources/views/siswa/tambah.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-11">
            @if (Session::has('after_save'))
            <div class="col-md-12" style="margin-top:20px;">
                <div class="alert alert-xs alert-dismissible mx-3 alert-{{ Session::get('after_save.alert') }}">
                    <button type="button" class="btn btn-outline-success close m-0 " data-dismiss="alert">x</button>
                    <strong>{{ Session::get('after_save.title') }}</strong>
                    <a href="javascript:void(0)" class="alert-link">{{ Session::get('after_save.text-1') }}</a> {{
                    Session::get('after_save.text-2') }}
                </div>
            </div>
            @endif
            <div class="d-flex justify-content-between mb-3 align-items-center">
                <div class="flex-column">
                    <h2 class="mb-0">Tambah Data</h2>
                    <ol class="breadcrumb mb-0">
                        @foreach (explode('.',$url) as $p)
                        <li class="breadcrumb-item"><a href="#" @if ($loop->last)
                                class='text-warning'
                                @endif>{{$p}}</a></li>
                        @endforeach
                    </ol>
                </div>
                <a class="btn btn-sm btn-primary align-items-center d-flex h-50 rounded-5" href="javascripy:void(0)"><i
                        class="bi-calendar-fill p-0" style="font-size: 15px"></i><span>{{$date}}</span></a>
            </div>
            <div class="card">
                <div class="card-body">
                    @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                    @endif
                    <form action="{{url('/siswa/simpan')}}" method="POST">
                        @csrf
                        <div class="row">
                            <div class="form-group col-12 my-2">
                                <label for="name">Nama Siswa</label>
                                <div class="input-group">
                                    <input type="text" name="name" id="name" class="form-control"
                                        placeholder="Masukkan Nama Siswa" required>
                                </div>
                            </div>
                            <div class="form-group col-12 my-2">
                                <label for="id_kecamatan">Nama Kota/Kabupaten</label>
                                <select class="form-control text-dark" id="id_kecamatan" name="id_kecamatan">
                                    <option value="">Pilih Kota</option>
                                    @foreach ($kotaKab as $p)
                                    <option value="{{$p->id_kotaKab}}">{{$p->nama}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group col-12 my-2">
                                <label for="id_kota">Nama Kecamatan</label>
                                <select class="form-control text-dark" id="id_kota" name="id_kotaKab">
                                    {{-- @foreach ($kotaKab as $p)
                                    <option value="{{$p->id_kotaKab}}">{{$p->nama}}</option>
                                    @endforeach --}}
                                </select>
                            </div>
                            <div class="form-group col-12 my-2">
                                <label for="alamat">Alamat</label>
                                <div class="input-group">
                                    <textarea type="text" name="alamat" id="alamat" class="form-control"
                                        placeholder="Masukkan Alamat" required></textarea>
                                </div>
                            </div>
                            <div class="col-12 d-flex form-row justify-content-end align-items-center mt-4">
                                <a href="/siswa" class="btn btn-danger mx-2">Batal</a>
                                <button type="submit" class="btn btn-success mx-0" value="submit">Simpan</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
<script src="{{ asset('assets') }}/login/jquery-2.2.3.min.js"></script>
<!-- Bootstrap 3.3.6 -->
<script src="{{ asset('assets') }}/libs/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

<script>
    $(document).ready(function() {
        $(document).on('change', '#id_kecamatan', function() {
        var id_kota = $(this).val();
        var div = $(this).parent();
        var op = " ";
        $.ajax({
            type: 'get',
            url: '{{route("json.data")}}',
            data: {'id':id_kota},
            success: function(json){
                console.log(json);
                        for (var i = 0; i < json.data.length; i++){
                    op += '<option class="option" value="'+json.data[i].id_kotaKab+'">'+json.data[i].nama+'</option>';
                }
                $("#id_kota").empty();
                $("#id_kota").append(op);
            },
            error: function(){
                console.log('success');
            },
        });
    }); 
});
</script>
@endpush